summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Peter Sarkoci <peter.sarkoci@gmail.com>2010-05-12 23:29:44 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:44 +0200
commitffeb6e8ee07525c4cf26d1a82e072c659bb33a9a (patch)
tree66d9f7f8ac873320f688d5dbc35df793855926ef /graphics
parentb524fa5911ae6915f6a6db16b572a38e2cc96280 (diff)
downloadslackbuilds-ffeb6e8ee07525c4cf26d1a82e072c659bb33a9a.tar.gz
slackbuilds-ffeb6e8ee07525c4cf26d1a82e072c659bb33a9a.tar.xz
graphics/photoprint: Added to 12.2 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/photoprint/README7
-rw-r--r--graphics/photoprint/doinst.sh10
-rw-r--r--graphics/photoprint/photoprint.SlackBuild71
-rw-r--r--graphics/photoprint/photoprint.info8
-rw-r--r--graphics/photoprint/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/graphics/photoprint/README b/graphics/photoprint/README
new file mode 100644
index 0000000000..4d93829327
--- /dev/null
+++ b/graphics/photoprint/README
@@ -0,0 +1,7 @@
+PhotoPrint is an assistant for printing digital photographs.
+PhotoPrint is able to:
+
+ * Make use of ICC colour profiles to provide accurate output
+ * Send 16 bit data to the printer, to avoid contouring of gradients
+ * Crop, arrange, decorate and process images
+ * Print posters and carousels (ideal for CD)
diff --git a/graphics/photoprint/doinst.sh b/graphics/photoprint/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/graphics/photoprint/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/photoprint/photoprint.SlackBuild b/graphics/photoprint/photoprint.SlackBuild
new file mode 100644
index 0000000000..43f664119a
--- /dev/null
+++ b/graphics/photoprint/photoprint.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for photoprint
+
+# Written by Peter Sarkoci peter.sarkoci@gmail.com
+
+PRGNAM=photoprint
+VERSION=${VERSION:-0.4.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/photoprint/photoprint.info b/graphics/photoprint/photoprint.info
new file mode 100644
index 0000000000..649bf41726
--- /dev/null
+++ b/graphics/photoprint/photoprint.info
@@ -0,0 +1,8 @@
+PRGNAM="photoprint"
+VERSION="0.4.0"
+HOMEPAGE="http://blackfiveimaging.co.uk/index.php?article=02Software%2F01PhotoPrint"
+DOWNLOAD="http://www.blackfiveimaging.co.uk/photoprint/photoprint-0.4.0.tar.gz"
+MD5SUM="82a37ac6ed99ed156ce40e62c78a8161"
+MAINTAINER="Peter Sarkoci"
+EMAIL="peter.sarkoci@gmail.com"
+APPROVED="rworkman"
diff --git a/graphics/photoprint/slack-desc b/graphics/photoprint/slack-desc
new file mode 100644
index 0000000000..c9d3543d2d
--- /dev/null
+++ b/graphics/photoprint/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+photoprint: PhotoPrint (assistant for printing digital photographs)
+photoprint:
+photoprint: PhotoPrint can do the following:
+photoprint:
+photoprint: * Make use of ICC colour profiles to provide accurate output
+photoprint: * Send 16 bit data to the printer, to avoid contouring of gradients
+photoprint: * Crop, arrange, decorate and process images
+photoprint: * Print posters and carousels (ideal for CD)
+photoprint:
+photoprint:
+photoprint: